* {
  margin: 0;
  padding: 0;
}
body {
  font-family: -apple-system, BlinkMacSystemFont, "Segoe UI", "Roboto", "Oxygen",
    "Ubuntu", "Cantarell", "Fira Sans", "Droid Sans", "Helvetica Neue",
    sans-serif;
  -webkit-font-smoothing: antialiased;
  -moz-osx-font-smoothing: grayscale;
}

code {
  font-family: source-code-pro, Menlo, Monaco, Consolas, "Courier New",
    monospace;
}

.wrapper {
  background-color: #f9f9fa;
  position: absolute;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  display: flex;
  justify-content: center;
  padding-top: 50px;
  overflow: auto;
}

.wrapper .todo-wrapper {
  width: 70%;
  height: fit-content;
  background-color: #fff;
  border: 1px solid #ccc;
  padding: 30px 50px;
  margin-bottom: 20px;
}
.wrapper .todo-wrapper header {
  margin-bottom: 40px;
}
.wrapper .todo-wrapper header h4 {
  margin-bottom: 0.625rem;
  text-transform: capitalize;
  font-size: 0.875rem;
  font-weight: 500;
}
.wrapper .todo-wrapper header .input-wrapper {
  display: flex;
  justify-content: space-between;
}
.wrapper .todo-wrapper header .input-wrapper input {
  flex: 90%;
  margin-right: 10px;
  outline: none;
  border: 1px solid #ccc;
  padding: 14px 22px;
  font-size: 1rem;
}
.wrapper .todo-wrapper header .input-wrapper input:focus {
  outline: 1px solid #2196f3;
}
.wrapper .todo-wrapper header .input-wrapper button {
  flex: 10%;
  border: 1px solid #007bff;
  background-color: #007bff;
  color: #fff;
  font-size: 0.875rem;
  border-radius: 0.1275rem;
  font-weight: 700 !important;
  cursor: pointer;
}

.wrapper .todo-wrapper .todo-list ul {
  list-style: none;
}
.wrapper .todo-wrapper .todo-list ul li {
  display: flex;
  justify-content: space-between;
  align-items: center;
  border-bottom: 1px solid #f3f3f3;
  padding-bottom: 15px;
  margin-bottom: 10px;
}
.wrapper .todo-wrapper .todo-list ul li label input {
  margin-right: 5px;
}

.wrapper .todo-wrapper .todo-list ul li svg {
  cursor: pointer;
}
.wrapper .todo-wrapper .todo-list ul li.compeleted {
  text-decoration: line-through;
  text-decoration-color: #3da5f4;
}

/* spinnger */
.spinner-container {
  display: flex;
  justify-content: center;
  margin-top: 30px;
}
.sk-chase {
  width: 40px;
  height: 40px;
  position: relative;
  animation: sk-chase 2.5s infinite linear both;
}

.sk-chase-dot {
  width: 100%;
  height: 100%;
  position: absolute;
  left: 0;
  top: 0;
  animation: sk-chase-dot 2s infinite ease-in-out both;
}

.sk-chase-dot:before {
  content: "";
  display: block;
  width: 25%;
  height: 25%;
  background-color: #3da5f4;
  border-radius: 100%;
  animation: sk-chase-dot-before 2s infinite ease-in-out both;
}

.sk-chase-dot:nth-child(1) {
  animation-delay: -1.1s;
}
.sk-chase-dot:nth-child(2) {
  animation-delay: -1s;
}
.sk-chase-dot:nth-child(3) {
  animation-delay: -0.9s;
}
.sk-chase-dot:nth-child(4) {
  animation-delay: -0.8s;
}
.sk-chase-dot:nth-child(5) {
  animation-delay: -0.7s;
}
.sk-chase-dot:nth-child(6) {
  animation-delay: -0.6s;
}
.sk-chase-dot:nth-child(1):before {
  animation-delay: -1.1s;
}
.sk-chase-dot:nth-child(2):before {
  animation-delay: -1s;
}
.sk-chase-dot:nth-child(3):before {
  animation-delay: -0.9s;
}
.sk-chase-dot:nth-child(4):before {
  animation-delay: -0.8s;
}
.sk-chase-dot:nth-child(5):before {
  animation-delay: -0.7s;
}
.sk-chase-dot:nth-child(6):before {
  animation-delay: -0.6s;
}

@keyframes sk-chase {
  100% {
    transform: rotate(360deg);
  }
}

@keyframes sk-chase-dot {
  80%,
  100% {
    transform: rotate(360deg);
  }
}

@keyframes sk-chase-dot-before {
  50% {
    transform: scale(0.4);
  }
  100%,
  0% {
    transform: scale(1);
  }
}
